#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  libkexiv2-25.12.2

- Next

  plasma-activities-stats-6.6.1

- Up
- Home

# plasma-activities-6.6.1

## Introduction to plasma-activities-6.6.1

The plasma-activities package provides core components for the KDE Activities system. It is normally built with Plasma-6.6.1, but it is included here because it is needed for okular-25.12.2 and kio-extras-25.12.2 if Plasma-6.6.1 is not built yet.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/plasma/6.6.1/plasma-activities-6.6.1.tar.xz

- Download MD5 sum: 14342002478d534479956cbc949254b6

- Download size: 64 KB

- Estimated disk space required: 8.6 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### plasma-activities Dependencies

#### Required

KDE Frameworks-6.23.0

## Installation of plasma-activities

Install plasma-activities by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: plasma-activities-cli6
Installed Libraries: libPlasmaActivities.so
Installed Directories: $KF6_PREFIX/include/PlasmaActivities, $KF6_PREFIX/lib/cmake/PlasmaActivities, and $KF6_PREFIX/share/share/qlogging-categories6

### Short Descriptions

plasma-activities-cli6 | is the activity manager for KDE applications

- Prev

  libkexiv2-25.12.2

- Next

  plasma-activities-stats-6.6.1

- Up
- Home